> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/recorrencias/planos-de-assinatura/atualizar-plano.md).

# Atualizar Plano

## Atualizar plano existente

> Atualiza completamente um plano existente

```json
{"openapi":"3.0.1","info":{"title":"Barte Plans API v2","version":"2.0.0"},"servers":[{"url":"https://api.barte.com"}],"paths":{"/v2/plans/{uuid}":{"put":{"summary":"Atualizar plano existente","description":"Atualiza completamente um plano existente","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"},"description":"UUID único do plano"},{"name":"X-Token-Api","in":"header","required":true,"schema":{"type":"string"},"description":"Token de autenticação da API"},{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string","enum":["application/json"]}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlanRequest"}}}},"responses":{"200":{"description":"Plano atualizado com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlanResponse"}}}},"400":{"description":"Dados inválidos fornecidos"},"401":{"description":"Token de API inválido ou ausente"},"404":{"description":"Plano não encontrado"},"500":{"description":"Erro interno do servidor"}}}}},"components":{"schemas":{"PlanRequest":{"type":"object","properties":{"title":{"type":"string","maxLength":60,"description":"Título do plano"},"description":{"type":"string","maxLength":500,"description":"Descrição do plano (opcional)"},"active":{"type":"boolean","description":"Se o plano está ativo (opcional, padrão: false)"},"bullets":{"type":"array","items":{"$ref":"#/components/schemas/PlanBullet"},"description":"Lista de benefícios do plano (opcional)"},"values":{"type":"array","items":{"$ref":"#/components/schemas/PlanValue"},"description":"Valores e tipos de cobrança do plano (opcional)"},"acceptPaymentMethods":{"type":"array","items":{"type":"string","enum":["CREDIT_CARD","BANK_SLIP","PIX"]},"description":"Métodos de pagamento aceitos (opcional)"}},"required":["title"]},"PlanBullet":{"type":"object","properties":{"title":{"type":"string","description":"Título do benefício (opcional)"},"description":{"type":"string","description":"Descrição do benefício"}},"required":["description"]},"PlanValue":{"type":"object","properties":{"type":{"type":"string","enum":["MONTHLY","YEARLY","SEMESTER"],"description":"Tipo de cobrança do plano"},"value":{"type":"number","format":"double","description":"Valor total do período (calculado automaticamente)"},"valuePerMonth":{"type":"number","format":"double","description":"Valor mensal equivalente"}},"required":["type","valuePerMonth"]},"PlanResponse":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"UUID único do plano"},"title":{"type":"string","description":"Título do plano"},"description":{"type":"string","description":"Descrição do plano"},"active":{"type":"boolean","description":"Se o plano está ativo"},"bullets":{"type":"array","items":{"$ref":"#/components/schemas/PlanBullet"},"description":"Lista de benefícios do plano"},"values":{"type":"array","items":{"$ref":"#/components/schemas/PlanValue"},"description":"Valores e tipos de cobrança do plano"},"acceptPaymentMethods":{"type":"array","items":{"type":"string","enum":["CREDIT_CARD","BANK_SLIP","PIX"]},"description":"Métodos de pagamento aceitos"}},"required":["uuid","title","description","active","values","acceptPaymentMethods"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/api-reference/recorrencias/planos-de-assinatura/atualizar-plano.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
